LibreOffice: DocumentMSPasswordRequest2 Exception Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Public Attributes | List of all members
DocumentMSPasswordRequest2 Exception Reference

this request specifies if a password for opening or modifying of an encrypted Microsoft Office document is requested. More...

`import"DocumentMSPasswordRequest2.idl";`

Inheritance diagram for DocumentMSPasswordRequest2:

## Public Attributes
boolean | IsRequestPasswordToModify
| specifies if the requested password is for opening a document or for modifying it. More...
Public Attributes inherited from DocumentMSPasswordRequest
string | Name
| the name of the document (more properly, the URL of the document) More...
Public Attributes inherited from PasswordRequest
PasswordRequestMode | Mode
| the mode in which password should be asked More...
Public Attributes inherited from ClassifiedInteractionRequest
com::sun::star::task::InteractionClassification | Classification
| The classification of the request. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

this request specifies if a password for opening or modifying of an encrypted Microsoft Office document is requested.

It is supported by InteractionHandler service, and can be used to interact for a document password. Continuations for using with the mentioned service are Abort and Approve.

See also
  com::sun::star::task::PasswordRequest
  com::sun::star::task::DocumentMSPasswordRequest

Since
  OOo 3.3

## Member Data Documentation

## ◆ IsRequestPasswordToModify

boolean IsRequestPasswordToModify

specifies if the requested password is for opening a document or for modifying it.

The documentation for this exception was generated from the following file:

- com/sun/star/task/DocumentMSPasswordRequest2.idl